TransactionManagerBasedSynchronizationStrategy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.jta.platform.internal
Class TransactionManagerBasedSynchronizationStrategy

    java.lang.Object
      org.hibernate.service.jta.platform.internal.TransactionManagerBasedSynchronizationStrategy

All Implemented Interfaces:
  Serializable, JtaSynchronizationStrategy

    public class TransactionManagerBasedSynchronizationStrategy

extends Object
implements JtaSynchronizationStrategy

Implementation of the `JtaSynchronizationStrategy` contract based on using a `TransactionManager`

See Also:
  Serialized Form

Constructor Summary
`TransactionManagerBasedSynchronizationStrategy(TransactionManagerAccess transactionManagerAccess)`

Method Summary
`boolean` | `canRegisterSynchronization()` Can a synchronization be registered?
`void` | `registerSynchronization(Synchronization synchronization)` Register a synchronization

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionManagerBasedSynchronizationStrategy

    public TransactionManagerBasedSynchronizationStrategy(TransactionManagerAccess transactionManagerAccess)

Method Detail

### registerSynchronization

    public void registerSynchronization(Synchronization synchronization)

  Description copied from interface: `JtaSynchronizationStrategy`
  Register a synchronization

  Specified by:
    `registerSynchronization` in interface `JtaSynchronizationStrategy`
  Parameters:
    `synchronization` - The synchronization to register.

### canRegisterSynchronization

    public boolean canRegisterSynchronization()

  Description copied from interface: `JtaSynchronizationStrategy`
  Can a synchronization be registered?

  Specified by:
    `canRegisterSynchronization` in interface `JtaSynchronizationStrategy`
  Returns:
    true/false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.